<?php

use think\migration\Migrator;
use think\migration\db\Column;

class CreateSysAttachmentUploadRecord extends Migrator
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('sys_attachment_upload_record', ['engine' => 'MyISAM', 'comment' => '附件上传表']);
        $table->addColumn('language_id', 'integer', ['signed' => false, 'null' => false, 'comment' => '语言ID'])
            ->addColumn('attachment_path', 'string', ['limit' => 125, 'null' => false, 'comment' => '附件路径'])
            ->addColumn('file_size', 'integer', ['null' => false, 'comment' => '附件大小'])
            ->addColumn('file_type', 'string', ['limit' => 125, 'null' => false, 'comment' => '附件类型'])
            ->addColumn('file_md5', 'string', ['limit' => 32, 'null' => false, 'comment' => '附件md5值'])
            ->addColumn('file_sha1', 'string', ['limit' => 40, 'null' => false, 'comment' => '附件sha1值'])
            ->addColumn('created_at', 'timestamp', ['null' => false, 'default' => 'CURRENT_TIMESTAMP', 'comment' => '创建时间'])
            ->addColumn('deleted_at', 'timestamp', ['null' => true, 'comment' => '删除时间'])
            ->create();
    }
}
